## zziplib 0.13.57-2maemo1

=== debian/changelog ===
zziplib (0.13.57-2maemo1) oneiric; urgency=low

  * Fremantle packaging

 -- Aapo Rantalainen <aapo.rantalaineno@gmail.com>  Sun, 11 Dec 2011 21:16:08 +0200

zziplib (0.13.56-1ubuntu1) oneiric; urgency=low

  * Pass correct linker option. LP: #832895. Closes: #625064.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 09:51:08 +0200

zziplib (0.13.56-1) unstable; urgency=low

  * New Upstream Version
    - update debian/man3.patch
    - remove msvc8/zip.exe and msvc7/pkzip.exe
  * Upgrade the standard version to 3.8.2
  * Add the vcs information to debian/control

 -- LIU Qi <liuqi82@gmail.com>  Sun, 12 Jul 2009 14:37:46 +0800

zziplib (0.13.54-1) unstable; urgency=low

  * New Maintainer. Closes: #529561
  * New Upstream Version. Closes: #530850
  * Fixed the lintian warnings of manpages.
  * 01-fetch.patch: dropped as it was merged upstream

 -- LIU Qi <liuqi82@gmail.com>  Sun, 31 May 2009 00:08:56 +0800

zziplib (0.13.50-1) unstable; urgency=low

  * New upstream version 
    - Update 01-fetch.patch
  * debhelper compat version is 7
  * Standards version is 3.8.1
  * Run dh_prep instead of dh_clean -k
  * Add debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 23 Mar 2009 21:13:57 +1100

zziplib (0.13.49-4) unstable; urgency=low

  * NMU acknowledgement. Closes: #443880 
  * Fixed the following lintian issues:
    - zziplib source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - zziplib: description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Apr 2008 08:13:02 +1000

zziplib (0.13.49-3.1) unstable; urgency=low

  * NMU from the Cambridge BSP
  * Fixed SIGBUS due to alignment problems, closes: #443880.
    Patch: 01-fetch.patch

 -- Steve McIntyre <93sam@debian.org>  Sat, 05 Apr 2008 17:54:27 +0100

zziplib (0.13.49-3) unstable; urgency=low

  * Fixed SIGSEGV on hppa, ia64, sparc, closes: #443880.
    Patch by brian m. carlson <sandals@crustytoothpaste.ath.cx>
    Patch: 01-zip.c.patch
  * Fixed FTBFS if build twice in a row, closes: #442779.
  * Build-depends on quilt

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Nov 2007 17:43:35 +1100

zziplib (0.13.49-2) unstable; urgency=low

  * debian/rules: added configure option --datadir, closes: #439395.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Aug 2007 10:29:31 +1000

zziplib (0.13.49-1) unstable; urgency=low

  * libzzip-0-13 Replaces & Conflicts: libzzip-0-12

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 24 Aug 2007 08:41:46 +1000

zziplib (0.13.49-0) unstable; urgency=low

  * New upstream version. Closes: #399617.
    - zzip-config was removed by upstream maintainer.
    - htmpages.ar was not shipped by upstream maintainer.
    - new build dependency: python.
  * Fixed: CVE-2007-1614 DoS and execution of arbitrary code.
    Closes: #436701.
  * Fixed the following lintian messages:
    - W: zziplib source: substvar-source-version-is-deprecated libzzip-dev
    - W: zziplib source: debian-rules-ignores-make-clean-error line 62

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Aug 2007 18:47:38 +1000

zziplib (0.12.83-8) unstable; urgency=low

  * New maintainer.
  * Fixed "libzzip-dev: Override says libdevel - optional, .deb says
    devel - optional".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 03 Oct 2006 11:08:37 +1000

zziplib (0.12.83-7) unstable; urgency=low

  * Orphaning this package, setting maintainer field to
    packages@qa.debian.org.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  2 Oct 2006 11:03:22 +0200

zziplib (0.12.83-6) unstable; urgency=low

  * bins/zziptest.c: fixed a cast to pointer from integer of different size.
  * Bumped Standards-Version to 3.7.2 (nochanges).

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  7 Jun 2006 14:31:12 +0200

zziplib (0.12.83-5) unstable; urgency=low

  * zzip/zzip.h: include sys/types.h instead of stddef.h, so that zziplib
    could be built on GNU/Hurd and GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  3 Jul 2005 11:42:08 +0200

zziplib (0.12.83-4) unstable; urgency=low

  * Libtool update for kfreebsd-gnu in zziplib/ directory (closes:
    bug#294730).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Feb 2005 12:45:00 +0100

zziplib (0.12.83-3) unstable; urgency=low

  * Added GCC 4.0 fixes from Andreas Jochens (closes: bug#295055).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Feb 2005 16:10:27 +0100

zziplib (0.12.83-2) unstable; urgency=low

  * Libtool update for kfreebsd-gnu (closes: bug#294730). 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Feb 2005 17:32:04 +0100

zziplib (0.12.83-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Sep 2004 21:48:52 +0200

zziplib (0.12.82-1) unstable; urgency=low

  * New upstream version.
  * Added manpages for zziplib-bin and included tools. Thanks to Ricardo
    Mones (closes: bug#256186).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Jun 2004 16:33:10 +0200

zziplib (0.10.82-1) unstable; urgency=low

  * Initial Release (closes: bug#173511, bug#222397).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 Mar 2004 12:41:28 +0200

=== debian/control ===
Source: zziplib
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, zlib1g-dev, python
Standards-Version: 3.8.2
Homepage: http://zziplib.sourceforge.net
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/zziplib.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/zziplib.git
XSBC-Bugtracker: http://zziplib.sourceforge.net

Package: zziplib-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing read access on ZIP-archives - binaries
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains some useful binaries to extract data from zip
 archives.

Package: libzzip-0-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libzzip-0-12
Conflicts: libzzip-0-12
Description: library providing read access on ZIP-archives - library
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains the zziplib runtime library.

Package: libzzip-dev
Section: libdevel
Architecture: any
Depends: libzzip-0-13 (= ${binary:Version})
Description: library providing read access on ZIP-archives - development
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains the header files and static library needed to
 compile applications that use zziplib.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub && \
	cp -f /usr/share/misc/config.sub zziplib/config.sub
	
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess && \
	cp -f /usr/share/misc/config.guess zziplib/config.guess
	
	CFLAGS="$(CFLAGS)" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--datadir=\$${prefix}/share

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	$(MAKE) docs

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp 
	rm -f config.sub config.guess zziplib/config.sub zziplib/config.guess docs/zzipdoc/*.pyc
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Move all files in their corresponding package
	dh_install --list-missing -s --sourcedir=debian/tmp

	cd $(CURDIR)/debian/libzzip-dev/usr/share/man/ \
		&& tar xf $(CURDIR)/docs/zziplib-manpages.tar

	cd $(CURDIR)/debian/libzzip-dev/usr/share/man/man3/ \
		&& patch -p1 < $(CURDIR)/debian/man3.patch

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	cd $(CURDIR)/debian/zziplib-bin/usr/share/man/man1/ \
		&& ln -s zziplib-bin.1.gz zzcat.1.gz \
		&& ln -s zziplib-bin.1.gz zzdir.1.gz \
		&& ln -s zziplib-bin.1.gz zzxorcat.1.gz \
		&& ln -s zziplib-bin.1.gz zzxordir.1.gz \
		&& ln -s zziplib-bin.1.gz zzxorcopy.1.gz
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## zziplib 0.13.62

=== debian/changelog ===
zziplib (0.13.62-3.3+deb11u1) bullseye; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-18442
    Because of mishandling a return value, an attacker might cause a
    denial of service due to an infinite loop.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 Dec 2021 00:03:02 +0100

zziplib (0.13.62-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using python2. Closes: #856566, #967237.
  * Update home page. Closes: #863892.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Mar 2021 09:54:37 +0100

zziplib (0.13.62-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Invalid memory access in zzip_disk_fread (CVE-2018-6381) (Closes: #889096)
  * Reject the ZIP file and report it as corrupt if the size of the central
    directory and/or the offset of start of central directory point beyond the
    end of the ZIP file (CVE-2018-6484, CVE-2018-6541, CVE-2018-6869)
    (Closes: #889089)
  * bus error in zzip_disk_findfirst function in zzip/mmapped.c
    (CVE-2018-6540) (Closes: #923659)
  * out of bound read in mmapped.c:zzip_disk_fread() causes crash
    (CVE-2018-7725) (Closes: #913165)
  * Bus error in zip.c:__zzip_parse_root_directory() cause crash via crafted
    zip file (CVE-2018-7726) (Closes: #913165)
  * Memory leak triggered in the function __zzip_parse_root_directory in zip.c
    (CVE-2018-16548) (Closes: #910335)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 04 Mar 2019 22:43:14 +0100

zziplib (0.13.62-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix multiple security issues (Closes: #854727). Thanks to Josef
    Moellers of SuSE for the patches!

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 04 Jun 2017 09:03:20 +0200

zziplib (0.13.62-3) unstable; urgency=medium

  * debian/rules: Lintian error cleaning pkg-config-bad-directive

 -- Scott Howard <showard@debian.org>  Sun, 24 Aug 2014 22:20:40 -0400

zziplib (0.13.62-2) unstable; urgency=low

  * Merge in Ubuntu changes to use dh-autoreconf to ensure package
    remains buildable across future ports. Thanks to Steve Langasek.
    (Closes: #736810)

 -- Scott Howard <showard@debian.org>  Sun, 26 Jan 2014 18:54:39 -0500

zziplib (0.13.62-1) unstable; urgency=low

  * New upstream release (Closes: #709437)
  * Updated symbols file.
  * export-dynamic.patch dropped, accepted upstream

 -- Scott Howard <showard@debian.org>  Mon, 20 Jan 2014 17:12:51 -0500

zziplib (0.13.56-2) unstable; urgency=low

  * Adopting package (Closes: #733144)
  * use source/format 3.0 (quilt), and separate debian changes into
    patch "export-dynamic.patch"
  * simple dh rules
    - multiarch enabled
    - use --with autotools-dev (Closes: #717837)
  * build depend on zip so build checks run
  * added symbols file
  * No longer conflict with zziplib-0-12 (no reason to conflict)
    (Closes: #565982)
  * Removed unneeded -lz from .pc file (Closes: #471065)
    - debian/patches/remove_extra_z_linking.patch

 -- Scott Howard <showard@debian.org>  Tue, 07 Jan 2014 13:57:57 -0500

zziplib (0.13.56-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: x86_64-linux-gnu-gcc: error: unrecognized option 
    '--export-dynamic'": apply patch from Ubuntu / Matthias Klose: 
    - Pass correct linker option. LP: #832895. Closes: #625064.
  * Fix "Emptying dependency_libs in .la files": use recipe provided by Neil
    Williams in the bug report. Closes: #633335

 -- gregor herrmann <gregoa@debian.org>  Thu, 06 Oct 2011 20:07:37 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@ --with autoreconf

override_dh_clean:
	dh_clean
	rm -rf Makefile Linux_*.d/ testdata.d/ docs/zzipdoc/*.pyc

override_dh_install:
	# need to refresh patch and do it in debian/tmp/usr/share/man/man3
	#cd $(CURDIR)/debian/libzzip-dev/usr/share/man/ \
	#	&& tar xf $(CURDIR)/docs/zziplib-manpages.tar
	#cd $(CURDIR)/debian/libzzip-dev/usr/share/man/man3/ \
	#	&& patch -p1 < $(CURDIR)/debian/man3.patch
	dh_install
	# empty dependency_libs in .la files
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/ -name '*.la'`
	# remove pkg-config-bad-directive
	sed -i "s/\-D_FORTIFY_SOURCE=2//" `find debian/ -name '*.pc'`

get-orig-source:
	uscan --download-current-version --rename

## zziplib 0.13.72%2Bdfsg.1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/gdraheim/zziplib/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## zziplib 0.13.72+dfsg.1

=== SDL/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project(zzipsdl VERSION "0.13.72" LANGUAGES C)

if(NOT CMAKE_BUILD_TYPE) 
    set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)

include ( GNUInstallDirs )
include ( FindPkgConfig )

# options ########################################################
option(BUILD_SHARED_LIBS "Build a shared library" ON)
option(BUILD_STATIC_LIBS "Build the static library" OFF)
option(BUILD_TESTS "Build test programs" OFF)
option(MSVC_STATIC_RUNTIME "Build with static runtime libs (/MT)" ON)

if(UNIX)
option(ZZIP_LIBTOOL "Ensure binary compatibility with libtool" ON)
option(ZZIP_PKGCONFIG "Generate pkg-config files for linking" ON)
else()
option(ZZIP_LIBTOOL "Ensure binary compatibility with libtool" OFF)
option(ZZIP_PKGCONFIG "Generate pkg-config files for linking" OFF)
endif()


# Zlib library needed
find_package ( ZLIB REQUIRED )
# pkg_search_module ( ZZIP zzip )
pkg_search_module ( SDL sdl2)

# targets ########################################################
set(ZZIPSDL_SRCS 
    SDL_rwops_zzip.c)

set(ZZIPSDL_HDRS
    SDL_rwops_zzip.h)

set(ZZCATSDL_SRCS
    ${ZZIPSDL_SRCS}
    SDL_rwops_zzcat.c)

if(SDL_FOUND)
add_executable(zzcatsdl ${ZZCATSDL_SRCS} )
target_link_libraries(zzcatsdl libzzip "${SDL_LIBRARIES}" ZLIB::ZLIB)
target_include_directories(zzcatsdl PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}" "${SDL_INCLUDE_DIRS}")
endif()

# install ########################################################
if(SDL_FOUND)
set(zzipsdldir "${CMAKE_INSTALL_INCLUDEDIR}/SDL_rwops_zzip")
install(FILES ${ZZIPSDL_SRCS} ${ZZIPSDL_HDRS}
        DESTINATION ${zzipsdldir})
endif()

# pkgconfig ######################################################

if(SDL_FOUND)
if(ZZIP_PKGCONFIG)
join_paths(libdir "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")
join_paths(includedir "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
join_paths(pc_zzipsdldir "\${prefix}" "${zzipsdldir}")
add_custom_command(OUTPUT SDL_rwops_zzip.pc
   COMMAND ${BASH} -c "echo 'prefix=${CMAKE_INSTALL_PREFIX}' > SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo 'zzipsdldir=${pc_zzipsdldir}' >> SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo '' >> SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo 'Name: SDL_rwops_zzip' >> SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo 'Version: ${PROJECT_VERSION}' >> SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo 'Description: SDL_rwops for ZZipLib' >> SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo 'Requires: sdl, zziplib' >> SDL_rwops_zzip.pc"
   COMMAND ${BASH} -c "echo 'Cflags: -I\${zzipsdldir}' >> SDL_rwops_zzip.pc"
   VERBATIM)
add_custom_target(pkgconfig-sdl ALL DEPENDS SDL_rwops_zzip.pc)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/SDL_rwops_zzip.pc
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig" )
endif(ZZIP_PKGCONFIG)
endif(SDL_FOUND)

# messages ##################################################

message(STATUS "installing SDL_rwops_zzip example headers: ${SDL_FOUND}")
message(STATUS "installing SDL_rwops_zzip pkgconfig files: ${ZZIP_PKGCONFIG}")

=== bins/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project(zzipbins VERSION "0.13.72" LANGUAGES C)

if(NOT CMAKE_BUILD_TYPE) 
    set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)

include ( GNUInstallDirs )
include ( FindPkgConfig )

# options ########################################################
option(BUILD_SHARED_LIBS "Build a shared library" ON)
option(BUILD_STATIC_LIBS "Build the static library" OFF)
option(BUILD_TESTS "Build test programs" OFF)
option(MSVC_STATIC_RUNTIME "Build with static runtime libs (/MT)" ON)

option(ZZIP_INSTALL_BINS "Install the bins/ exanple programs" ON)
option(ZZIP_INSTALL_ACLOCAL "Install zziplib.m4 aclocal helper" ON)

# Zlib library needed
find_package ( ZLIB REQUIRED )
# pkg_search_module ( ZZIP zzip )
# pkg_search_module ( ZZIPMAPPED zzipmmapped )
# pkg_search_module ( ZZIPFSEEKO zzipfseeko )

# targets ########################################################
add_executable(zzcat      zzcat.c)
add_executable(zzdir      zzdir.c)
add_executable(zzxorcat   zzxorcat.c)
add_executable(zzxordir   zzxordir.c)
add_executable(zzxorcopy   zzxorcopy.c)
add_executable(zzobfuscated zzobfuscated.c)
add_executable(zziptest   zziptest.c)
add_executable(zzip       zzip.c zzipmake-zip.c)
add_executable(unzzip     unzzip.c unzzipcat-zip.c unzzipdir-zip.c)
add_executable(unzzip-mix unzzip.c unzzipcat-mix.c unzzipdir-mix.c)
add_executable(unzzip-big unzzip.c unzzipcat-big.c unzzipdir-big.c)
add_executable(unzzip-mem unzzip.c unzzipcat-mem.c unzzipdir-mem.c)
add_executable(unzip-mem  unzip-mem.c)

target_link_libraries(zzcat        libzzip        ZLIB::ZLIB)
target_link_libraries(zzdir        libzzip        ZLIB::ZLIB)
target_link_libraries(zzxorcat     libzzip        ZLIB::ZLIB)
target_link_libraries(zzxordir     libzzip        ZLIB::ZLIB)
target_link_libraries(zzxorcopy    libzzip        ZLIB::ZLIB)
target_link_libraries(zzobfuscated libzzip        ZLIB::ZLIB)
target_link_libraries(zziptest     libzzip        ZLIB::ZLIB)
target_link_libraries(zzip         libzzip        ZLIB::ZLIB)
target_link_libraries(unzzip       libzzip        ZLIB::ZLIB)
target_link_libraries(unzzip-mix   libzzip        ZLIB::ZLIB)
target_link_libraries(unzzip-big   libzzipfseeko  ZLIB::ZLIB)
target_link_libraries(unzzip-mem   libzzipmmapped ZLIB::ZLIB)
target_link_libraries(unzip-mem    libzzipmmapped ZLIB::ZLIB)

target_include_directories(zzcat        PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zzdir        PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zzxorcat     PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zzxordir     PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zzxorcopy    PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zzobfuscated PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zziptest     PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(zzip         PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(unzzip       PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(unzzip-mix   PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(unzzip-big   PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(unzzip-mem   PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")
target_include_directories(unzip-mem    PRIVATE "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}")

# install ########################################################
if(ZZIP_INSTALL_BINS)
install(TARGETS zzcat zzdir zzxorcat zzxordir zzxorcopy
                unzzip unzzip-mix unzzip-big unzzip-mem unzip-mem
        DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

if(ZZIP_INSTALL_ACLOCAL)
install(FILES zziplib.m4
        DESTINATION "${CMAKE_INSTALL_DATADIR}/aclocal")
endif()

=== docs/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project(zzipbins VERSION "0.13.72" LANGUAGES C)

include ( GNUInstallDirs )
include ( FindPkgConfig )

# options ########################################################
option(BUILD_SHARED_LIBS "Build a shared library" ON)
option(BUILD_STATIC_LIBS "Build the static library" OFF)
option(BUILD_TESTS "Build test programs" OFF)
option(MSVC_STATIC_RUNTIME "Build with static runtime libs (/MT)" ON)
option(ZZIP_HTMLSITE "Generate site html pages from docs" OFF)
option(ZZIP_HTMPAGES "Generate html manpages from sources" OFF)

if(UNIX)
option(ZZIP_MANPAGES "Generate man3 manpages from sources" ON)
else()
option(ZZIP_MANPAGES "Generate man3 manpages from sources" OFF)
endif()

# Zlib library needed
find_package ( ZLIB REQUIRED )
# pkg_search_module ( ZZIP zzip )
find_package(PythonInterp 3.5 REQUIRED)
find_package(UnixCommands REQUIRED) # bash cp mv rm gzip tar
find_program(XMLTO xmlto)

set(EXEEXT ${CMAKE_EXECUTABLE_SUFFIX})
set(README ${CMAKE_SOURCE_DIR}/README)

set(topdir ${CMAKE_SOURCE_DIR})
set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(outdir ${CMAKE_CURRENT_BINARY_DIR})
set(PY ${PYTHON_EXECUTABLE})

set(mandir ${CMAKE_INSTALL_FULL_MANDIR})
set(docdir ${CMAKE_INSTALL_FULL_DOCDIR})

set(bins ${CMAKE_SOURCE_DIR}/bins)
set(SDLs ${CMAKE_SOURCE_DIR}/SDL)

# targets ########################################################
set(doc_FILES README.MSVC6 README.SDL COPYING.MPL COPYING.LIB COPYING.ZLIB
            zziplib.html zzipmmapped.html zzipfseeko.html)
set(htm_FILES zzip-index.htm zzip-zip.htm zzip-file.htm zzip-sdl-rwops.htm
            zzip-extio.htm zzip-xor.htm zzip-crypt.htm zzip-cryptoid.htm
            zzip-api.htm  zzip-basics.htm zzip-extras.htm zzip-parse.htm
            64on32.htm future.htm fseeko.htm mmapped.htm memdisk.htm
            configs.htm sfx-make.htm   developer.htm download.htm
            history.htm referentials.htm  faq.htm copying.htm notes.htm
            functions.htm zip-php.htm)
set(bins_FILES ${bins}/zzdir.c ${bins}/zzcat.c ${bins}/zzobfuscated.c ${bins}/zziptest.c ${bins}/zzxordir.c ${bins}/zzxorcat.c ${bins}/zzxorcopy.c )
set(SDLs_FILES ${SDLs}/SDL_rwops_zzcat.c ${SDLs}/SDL_rwops_zzip.c ${SDLs}/SDL_rwops_zzip.h )
set(zzipdoc_FILES makedocs.py          zzipdoc/__init__.py
    zzipdoc/commentmarkup.py          zzipdoc/match.py
    zzipdoc/dbk2htm.py                zzipdoc/htm2dbk.py
    zzipdoc/functionheader.py         zzipdoc/options.py
    zzipdoc/functionlisthtmlpage.py   zzipdoc/textfileheader.py
    zzipdoc/functionlistreference.py  zzipdoc/textfile.py
    zzipdoc/functionprototype.py      zzipdoc/htmldocument.py
                                      zzipdoc/docbookdocument.py)

add_custom_command(OUTPUT changes.htm
    COMMAND ${BASH} -c "E=changes.htm \
    ; echo '<pre>' > $E ; cat ${topdir}/ChangeLog \
    | sed -e 's,\\&,\\&amp\\;,g' \
    -e 's,<,\\&lt\\;,g' -e 's,>,\\&gt\\;,g' \
    -e '/^[A-Z].*[12][09][09][09]/s,\\(.*\\),<b>&</b>,' \
    -e '/^[0-9]/s,\\(.*\\),<b>&</b>,' >> $E ; echo '</pre>' >>$E"
    DEPENDS ${topdir}/ChangeLog
    VERBATIM)

set(mksite_sh_args --VERSION=${PROJECT_VERSION} --xml --src-dir=${srcdir} --print)
add_custom_command(OUTPUT site.html
    COMMAND ${CP} ${srcdir}/body.htm site.htm
    COMMAND ${BASH} ${srcdir}/mksite.sh ${mksite_sh_args} site.htm
    COMMAND ${BASH} -c "for i in *.html; do sed -i -e s:${srcdir}:../../docs: $i; done; true"
    DEPENDS ${htm_FILES} changes.htm
    VERBATIM)
add_custom_target(site DEPENDS site.html)

add_custom_command(OUTPUT zzip.xml
    COMMAND ${PY} ${srcdir}/zzipdoc/htm2dbk.py ${htm_FILES} zziplib.xml -o ${outdir}/zzip.xml
    DEPENDS zziplib.xml ${htm_FILES}
    WORKING_DIRECTORY ${srcdir}
    VERBATIM)
add_custom_target(dbk DEPENDS zzip.xml)

if(XMLTO)
add_custom_command(OUTPUT zzip.html
    COMMAND ${XMLTO} html-nochunks zzip.xml
    DEPENDS zzip.xml
    VERBATIM)
add_custom_command(OUTPUT zzip.pdf
    COMMAND ${XMLTO} pdf zzip.xml
    DEPENDS zzip.xml
    VERBATIM)
add_custom_target(pdf DEPENDS zzip.pdf)
endif()

set(docinfo --package=zziplib --version=${PROJECT_VERSION})
file(GLOB zzip_sources "${topdir}/zzip/*.c")
add_custom_command(OUTPUT zziplib.xml
    COMMAND ${PY} ${srcdir}/makedocs.py ${zzip_sources} ${docinfo} --onlymainheader=zzip/lib.h --output=zziplib
    COMMAND ${MV} zziplib.docbook zziplib.xml
    DEPENDS libzzip
    BYPRODUCTS zziplib.html
    VERBATIM)
add_custom_command(OUTPUT zzipmmapped.xml
    COMMAND ${PY} ${srcdir}/makedocs.py ${zzip_sources} ${docinfo} --onlymainheader=zzip/mmapped.h --output=zzipmmapped
    COMMAND ${MV} zzipmmapped.docbook zzipmmapped.xml
    DEPENDS libzzipmmapped
    BYPRODUCTS zzipmmapped.html
    VERBATIM)
add_custom_command(OUTPUT zzipfseeko.xml
    COMMAND ${PY} ${srcdir}/makedocs.py ${zzip_sources} ${docinfo} --onlymainheader=zzip/fseeko.h --output=zzipfseeko
    COMMAND ${MV} zzipfseeko.docbook zzipfseeko.xml
    DEPENDS libzzipfseeko
    BYPRODUCTS zzipfseeko.html
    VERBATIM)
add_custom_command(OUTPUT manpages.tar
    COMMAND ${BASH} -c "test -d man3 && rm -rf man3; mkdir man3"
    COMMAND ${PY} ${srcdir}/dbk2man.py -o man3 man zziplib.xml
    COMMAND ${PY} ${srcdir}/dbk2man.py -o man3 man zzipmmapped.xml
    COMMAND ${PY} ${srcdir}/dbk2man.py -o man3 man zzipfseeko.xml
    COMMAND ${BASH} -c "test -d man3/man3 && mv man3 man3_; test -d man3_/man3 && mv man3_/man3 .; rm -rf man3_"
    COMMAND ${BASH} -c "chmod 664 man3/*.3"
    COMMAND ${BASH} -c "tar cf manpages.tar man3"
    COMMAND ${BASH} -c "ls -l `pwd`/manpages.tar >&2 || true"
    DEPENDS zziplib.xml zzipmmapped.xml zzipfseeko.xml
    VERBATIM)
add_custom_command(OUTPUT htmpages.tar
    COMMAND ${BASH} -c "test -d html && rm -rf html; mkdir html"
    COMMAND ${PY} ${srcdir}/dbk2man.py -o html html zziplib.xml
    COMMAND ${PY} ${srcdir}/dbk2man.py -o html html zzipmmapped.xml
    COMMAND ${PY} ${srcdir}/dbk2man.py -o html html zzipfseeko.xml
    COMMAND ${PY} ${srcdir}/dir2index.py -o html html
    COMMAND ${BASH} -c "tar cf htmpages.tar html/*.*"
    COMMAND ${BASH} -c "ls -l `pwd`/htmpages.tar || true"
    DEPENDS zziplib.xml zzipmmapped.xml zzipfseeko.xml
    VERBATIM)

add_custom_target(manpages DEPENDS manpages.tar)
add_custom_target(htmpages DEPENDS htmpages.tar)
add_custom_target(doc DEPENDS zziplib.xml zzipmmapped.xml zzipfseeko.xml site.html)
add_custom_target(docs DEPENDS doc manpages htmpages)
add_custom_target(mans DEPENDS manpages)

if(ZZIP_MANPAGES)
add_custom_target(man ALL DEPENDS manpages.tar COMMAND ${BASH} -c "ls -l manpages.tar")
else()
add_custom_target(man DEPENDS manpages.tar COMMAND ${BASH} -c "ls -l manpages.tar")
endif()
if(ZZIP_HTMPAGES)
add_custom_target(htm ALL DEPENDS htmpages.tar COMMAND ${BASH} -c "ls -l htmpages.tar")
else()
add_custom_target(htm DEPENDS htmpages.tar COMMAND ${BASH} -c "ls -l htmpages.tar")
endif()

# install ########################################################

string(REPLACE ";" " " all_bins_FILES "${bins_FILES}")
string(REPLACE ";" " " all_SDLs_FILES "${SDLs_FILES}")
add_custom_target(install-site
   COMMAND ${BASH} -c "ls -l ${CMAKE_CURRENT_BINARY_DIR}/site.html"
   COMMAND ${BASH} -c "mkdir -vp $DESTDIR${docdir}  >&2 || ls -ld $DESTDIR${docdir} >&2"
   COMMAND ${BASH} -c "cd ${outdir} && cp zziplib.html zzipmmapped.html zzipfseeko.html $DESTDIR${docdir}/"
   COMMAND ${BASH} -c "cd ${srcdir} && cp README.* COPYING.* $DESTDIR${docdir}/"
   COMMAND ${BASH} -c "cd ${topdir} && cp ChangeLog          $DESTDIR${docdir}/"
   COMMAND ${BASH} -c "cd ${topdir} && cp ${all_bins_FILES}  $DESTDIR${docdir}/"
   COMMAND ${BASH} -c "cd ${topdir} && cp ${all_SDLs_FILES}  $DESTDIR${docdir}/"
   COMMAND ${BASH} -c "cd $DESTDIR${docdir} && cp ${outdir}/*.html ."
   COMMAND ${BASH} -c "cd $DESTDIR${docdir} && ln -s zzip-index.html index.html"
   DEPENDS site.html zziplib.html zzipmmapped.html zzipfseeko.html
   VERBATIM)
add_custom_target(install-htmpages
   COMMAND ${BASH} -c "mkdir -vp $DESTDIR${docdir}  >&2 || ls -ld $DESTDIR${docdir} >&2"
   COMMAND ${BASH} -c "cp -r ${outdir}/html $DESTDIR${docdir}/"
   COMMAND ${BASH} -c "cd $DESTDIR${docdir} && mv html man"
   DEPENDS htmpages.tar
   VERBATIM)
add_custom_target(install-manpages
   COMMAND ${BASH} -c "mkdir -vp $DESTDIR${mandir}  >&2 || ls -ld $DESTDIR${mandir} >&2"
   COMMAND ${BASH} -c "cp -r ${outdir}/man3 $DESTDIR${mandir}/"
   DEPENDS manpages.tar
   VERBATIM)
if(ZZIP_HTMPAGES)
   install(CODE "message(STATUS \"Installing: html pages to ${docdir}/man\")")
   install(DIRECTORY ${outdir}/html/ DESTINATION ${docdir}/man MESSAGE_NEVER)
endif()
if(ZZIP_MANPAGES)
   install(CODE "message(STATUS \"Installing: man3 pages to ${mandir}/man3\")")
   install(DIRECTORY ${outdir}/man3/ DESTINATION ${mandir}/man3 MESSAGE_NEVER)
endif()
add_custom_target(install-docs DEPENDS install-manpages install-htmpages install-site)
add_custom_target(install-mans DEPENDS install-manpages)
add_custom_target(install-man DEPENDS install-manpages)
add_custom_target(install-htm DEPENDS install-htmpages)

# messages #######################################################

message(STATUS "html site to be generated: ${ZZIP_HTMLSITE}" )
message(STATUS "man pages to be generated: ${ZZIP_MANPAGES}" )
message(STATUS "htm pages to be generated: ${ZZIP_HTMPAGES}" )

=== debian/changelog ===
zziplib (0.13.72+dfsg.1-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:36:07 +0000

zziplib (0.13.72+dfsg.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063243

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 13:01:03 +0000

zziplib (0.13.72+dfsg.1-1.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * Fix (i386) cross-compilation.

 -- Lukas Märdian <luk@slyon.de>  Mon, 21 Jun 2021 14:42:07 +0200

zziplib (0.13.72+dfsg.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #938924)
    + switch to CMake
    + drop .la libtool files
    + refresh d/p/zziplib-unzipcat-NULL-name.patch
    + drop d/p/Avoid-memory-leak-from-__zzip_parse_root_directory-1.patch
       and d/p/Avoid-memory-leak-from-__zzip_parse_root_directory-2.patch
       and d/p/One-more-free-to-avoid-memory-leak.patch:
      applied upstream in 0e1dadb, d2e5d5c and 9411bde
    + drop patches applied upstream:
      debian/patches/merge-CVE-2018-6381.patch-from-jmoellers-12.patch
      debian/patches/zziplib-CVE-2017-5974.patch
      debian/patches/zziplib-CVE-2017-5975.patch
      debian/patches/zziplib-CVE-2017-5976.patch
      debian/patches/zziplib-CVE-2017-5978.patch
      debian/patches/zziplib-CVE-2017-5979.patch
      debian/patches/zziplib-CVE-2017-5981.patch
      debian/patches/need-to-check-on-endbuf-for-stored-files-15.patch
      debian/patches/Reject-the-ZIP-file-and-report-it-as-corrupt-if-the-.patch
      debian/patches/check-rootseek-after-correction-41.patch
      debian/patches/check-rootseek-and-rootsize-to-be-positive-27.patch
      debian/patches/check-zlib-space-to-be-within-buffer-39.patch
      debian/patches/fix-for-zz_rootsize-41.patch
      debian/patches/need-to-check-on-endbuf-for-stored-files-15.patch

 -- Lukas Märdian <luk@slyon.de>  Fri, 18 Jun 2021 15:57:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,21 @@
 Source: zziplib
 Section: libs
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, zlib1g-dev, python
-Standards-Version: 3.8.2
-Homepage: http://zziplib.sourceforge.net
-Vcs-Browser: http://git.printk.org/?p=liuqi/debian/zziplib.git;a=summary
-Vcs-git: git://git.printk.org/liuqi/debian/zziplib.git
-XSBC-Bugtracker: http://zziplib.sourceforge.net
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Scott Howard <showard@debian.org>
+Uploaders: Lukas Märdian <luk@slyon.de>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
+ pkg-config,
+ zlib1g-dev,
+ python3:native,
+ zip,
+ dh-exec,
+ cmake,
+Standards-Version: 4.5.1
+Homepage: https://github.com/gdraheim
+Vcs-Browser: https://salsa.debian.org/slyon/zzip
+Vcs-git: https://salsa.debian.org/slyon/zzip.git
 
 Package: zziplib-bin
 Section: utils
@@ -23,12 +31,14 @@
  This package contains some useful binaries to extract data from zip
  archives.
 
-Package: libzzip-0-13
-Section: libs
+Package: libzzip-0-13t64
+Provides: ${t64:Provides}
+Replaces: libzzip-0-13
+Breaks: libzzip-0-13 (<< ${source:Version})
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libzzip-0-12
-Conflicts: libzzip-0-12
 Description: library providing read access on ZIP-archives - library
  The zziplib library is intentionally lightweight, it offers the ability
  to easily extract data from files archived in a single zip file.
@@ -41,7 +51,7 @@
 Package: libzzip-dev
 Section: libdevel
 Architecture: any
-Depends: libzzip-0-13 (= ${binary:Version})
+Depends: libzzip-0-13t64 (= ${binary:Version}), ${misc:Depends}
 Description: library providing read access on ZIP-archives - development
  The zziplib library is intentionally lightweight, it offers the ability
  to easily extract data from files archived in a single zip file.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR = obj-$(DEB_HOST_GNU_TYPE)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean -B $(BUILDDIR)
	dh_auto_clean -B $(BUILDDIR)-static
	rm -rf Makefile Linux_*.d/ testdata.d/ docs/zzipdoc/*.pyc
	find . -name "*.pyc" -exec rm -f {} \;

override_dh_auto_configure:
	# dynamically linked
	dh_auto_configure -B $(BUILDDIR) -- -DCMAKE_BUILD_TYPE=Release
	# statically linked
	dh_auto_configure -B $(BUILDDIR)-static -- -DBUILD_SHARED_LIBS=OFF

override_dh_auto_build:
	# dynamically linked
	dh_auto_build -B $(BUILDDIR)
	# statically linked
	dh_auto_build -B $(BUILDDIR)-static

execute_before_dh_install:
	# put the static libs together with the rest of the stuff
	cp -v $(BUILDDIR)-static/zzipwrap/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp -v $(BUILDDIR)-static/zzip/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_install:
	# need to refresh patch and do it in debian/tmp/usr/share/man/man3
	#cd $(CURDIR)/debian/libzzip-dev/usr/share/man/ \
	#	&& tar xf $(CURDIR)/docs/zziplib-manpages.tar
	#cd $(CURDIR)/debian/libzzip-dev/usr/share/man/man3/ \
	#	&& patch -p1 < $(CURDIR)/debian/man3.patch
	dh_install
	# remove pkg-config-bad-directive
	sed -i "s/\-D_FORTIFY_SOURCE=2//" `find debian/ -name '*.pc'`

get-orig-source:
	uscan --download-current-version --rename
